@import "../../../core/variables";
@import "../../../core/mixins";

.typography {
  @include colorize(Color, color);
}

.leftTextAlign {
  text-align: left;
}

.centerTextAlign {
  text-align: center;
}

.rightTextAlign {
  text-align: right;
}

.heading {
  font-family: "Montserrat", sans-serif;
  letter-spacing: -1px;

  &.primary {
    font-size: $font-size-xxl;
    font-weight: $font-weight-semibold;
  }

  &.secondary {
    font-size: $font-size-xl;
    font-weight: $font-weight-roman;
  }

  &.tertiary {
    font-size: $font-size-xlg;
    font-weight: $font-weight-semibold;
  }

  &.quatenary {
    font-size: $font-size-lg;
    font-weight: $font-weight-semibold;
  }

  &.quinary {
    font-size: $font-size-md;
    font-weight: $font-weight-roman;
  }

  &.senary {
    font-size: $font-size-sm;
    font-weight: $font-weight-roman;
  }
}

.subHeading {
  font-family: "SF UI Text", sans-serif;

  &.primary {
    font-size: $font-size-lg;
    font-weight: $font-weight-medium;
  }

  &.secondary {
    font-size: $font-size-md;
    font-weight: $font-weight-medium;
  }

  &.tertiary {
    font-size: $font-size-sm;
    font-weight: $font-weight-medium;
  }

  &.quatenary {
    font-size: $font-size-sm;
  }

  &.quinary {
    font-size: $font-size-xs;
    font-weight: $font-weight-medium;
  }

  &.senary {
    font-size: $font-size-xs;
  }

  &.septenary {
    font-size: $font-size-lt;
  }
}

.caption {
  font-family: "SF UI Text", sans-serif;
  text-transform: uppercase;
  font-weight: $font-weight-semibold;
  letter-spacing: 1px;

  &.primary {
    font-size: $font-size-md;
  }

  &.secondary {
    font-size: $font-size-xlt;
  }
}

.text {
  font-family: "SF UI Text", sans-serif;
  letter-spacing: -0.25px;

  &.paragraph {
    font-size: $font-size-sm;
  }

  &.subText {
    font-size: $font-size-xs;
  }

  &.hint {
    font-size: $font-size-lt;
  }
}
